Page MenuHomePhabricator

Allow hiding of automatic logs
Open, LowestPublic

Description

When looking at [[Special:Log]], there is no way to filter out all automatic logs while displaying all non-automatic logs. By automatic logs, I'm referring to logs of "side-effects" of other actions:

  1. When an admin moves a page over an existing one, the old page at the target is deleted. This deletion is an automatic log;
  2. When a user is renaed, the user's pages all get moved to the userspace of the new name; the logs of these moves are automatic;
  3. When a user moves a talk page, or a subpage, along with its parent page;
  4. When a user with the "autopatrol" creates a page, the marking of thwat page as Patrolled;
  5. When a user moves a page which has any protection applied to it, the protection log entry which is created;
  6. When a user edits a page with "Pending edits" protection, the current version of the page is approved, and the user has the necessary level for his/her edit to be accepted;
  7. When a user edits and is autopromoted, the rights log entry which is created.

In all these cases, log entries are created which are for incidental results of the user's actions not for the main action the user was doing; it should be possible to hide these specific types of log entries, while show all other logs.

Details

Reference
bz25500

Related Objects

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 11:17 PM
bzimport set Reference to bz25500.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis set Security to None.
Krenair updated the task description. (Show Details)Apr 10 2016, 5:02 PM
Krenair removed a subscriber: wikibugs-l-list.

Some of these, e.g. autopromotion, are now able to be filtered out by subtype/action

Qgil removed a subscriber: Qgil.Apr 15 2016, 6:06 AM

This doesn't help with my request - what IU would like is to be able to FILTER OUT all these incidental logs, and see only the intentional logs.